<?php
/**
 * Custom header implementation
 *
 * @link https://codex.wordpress.org/Custom_Headers
 *
 * @package Restaurant Fast Food
 * @subpackage restaurant_fast_food
 */

function restaurant_fast_food_custom_header_setup() {

    register_default_headers( array(
        'default-image' => array(
            'url'           => get_template_directory_uri() . '/assets/images/header_img.png',
            'thumbnail_url' => get_template_directory_uri() . '/assets/images/header_img.png',
            'description'   => __( 'Default Header Image', 'restaurant-fast-food' ),
        ),
    ) );
}
add_action( 'after_setup_theme', 'restaurant_fast_food_custom_header_setup' );

/**
 * Styles the header image based on Customizer settings.
 */
function restaurant_fast_food_header_style() {
    $restaurant_fast_food_header_image = get_header_image() ? get_header_image() : get_template_directory_uri() . '/assets/images/header_img.png';

    $restaurant_fast_food_height     = get_theme_mod( 'restaurant_fast_food_header_image_height', 350 );
    $restaurant_fast_food_position   = get_theme_mod( 'restaurant_fast_food_header_background_position', 'center' );
    $restaurant_fast_food_attachment = get_theme_mod( 'restaurant_fast_food_header_background_attachment', 1 ) ? 'fixed' : 'scroll';

    $restaurant_fast_food_custom_css = "
        .header-img{
            background-image: url('" . esc_url( $restaurant_fast_food_header_image ) . "') !important;
            background-size: cover;
            height: " . esc_attr( $restaurant_fast_food_height ) . "px;
            background-position: " . esc_attr( $restaurant_fast_food_position ) . ";
            background-attachment: " . esc_attr( $restaurant_fast_food_attachment ) . ";
        }

        @media (max-width: 1000px) {
            .header-img, .single-page-img, .external-div .box-image-page img,.external-div,.featured-image{
                height: 250px !important;
            }
        }
    ";

    wp_add_inline_style( 'restaurant-fast-food-style', $restaurant_fast_food_custom_css );
}
add_action( 'wp_enqueue_scripts', 'restaurant_fast_food_header_style' );

/**
 * Enqueue the main theme stylesheet.
 */
function restaurant_fast_food_enqueue_styles() {
    wp_enqueue_style( 'restaurant-fast-food-style', get_stylesheet_uri() );
}
add_action( 'wp_enqueue_scripts', 'restaurant_fast_food_enqueue_styles' );